Fetch Credit Flows
1 min
GET
https://api.nue.io/customers/{customerId}/credit-flows
Path Parameters
- customerIdstringrequiredDescription
Query Parameters
- accountPoolIdsstringDescription
- assetNumbersstringDescription
- includesstringDescription
- pageintegerDescriptionDefault1Minimum1
- limitintegerDescriptionDefault100Minimum1Maximum500
Responses
200
- objectExample
{ "status": "SUCCESS", "data": [ { "accountPoolId": "474935a8-16cc-46a6-927d-74c962cf460f", "assetNumber": "SUB-000185", "balance": 120000, "createdById": "ddd60c9f-e694-4760-b832-f720ebf22a53", "createdDate": "2026-01-10T19:13:30.03Z", "creditEndDate": "2027-01-09", "creditId": "44b04d30-b8a2-4c95-ab70-d89a1bd594e1", "creditNumber": "CRE-000000000014", "creditStartDate": "2026-01-10", "creditTypeId": "6984e433-0151-4351-b9e2-b7f557672707", "currencyIsoCode": "USD", "customerId": "001RK00001jt2i1YAA", "id": "faa09e3e-f746-4743-a650-42a916f36ad2", "lastModifiedById": "ddd60c9f-e694-4760-b832-f720ebf22a53", "lastModifiedDate": "2026-01-10T19:13:30.03Z", "name": "CF-000000000015", "recordType": "Inflow", "salesAccountId": "001RK00001jt2i1YAA", "transactionAmount": 120000, "transactionDate": "2026-01-10", "transactionSource": "OrderProduct", "transactionSourceId": "802RK00000v2qUjYAI", "transactionType": "Issue" } ], "warnings": [], "pagination": { "page": 1, "limit": 100, "total": 2, "totalPages": 1, "hasNext": false, "hasPrevious": false } }- statusstring<SUCCESS | PARTIAL_SUCCESS>AllowedSUCCESSPARTIAL_SUCCESS
- dataobject[]
- idstringDescription
- namestringDescription
- accountPoolIdstringDescription
- assetNumberstringDescription
- balancenumberDescription
- transactionAmountnumberDescription
- transactionDatestring<date>DescriptionFormatdate
- transactionTypestring<Issue | Consume | Expire | Cancel | CreditBack | CashOut | Reissue | Rollover>DescriptionAllowedIssueConsumeExpireCancelCreditBackCashOutReissueRollover
- transactionSourcestringDescription
- transactionSourceIdstringDescription
- recordTypestring<Inflow | Outflow>DescriptionAllowedInflowOutflow
- creditIdstringDescription
- creditNumberstringDescription
- creditStartDatestring<date>Formatdate
- creditEndDatestring<date>Formatdate
- creditTypeIdstring
- currencyIsoCodestring
- customerIdstring
- salesAccountIdstring
- productobjectDescription
- usageobjectDescription
- createdDatestring<date-time>Formatdate-time
- lastModifiedDatestring<date-time>Formatdate-time
- warningsobject[]Description
- codestring
- messagestring
- paginationobject
- pageinteger
- limitinteger
- totalinteger
- totalPagesinteger
- hasNextboolean
- hasPreviousboolean
401
- UnauthorizedErrorDescription
- statusDescription
- errorstringDescription
- errorCodestringDescription
- errorTypestringDescription
- messagestringDescription
404
- NotFoundErrorDescription
- statusintegerDescription
- errorstringDescription
- messagestringDescription
curl
curl --request GET \
--url 'https://api.nue.io/customers/{customerId}/credit-flows?page=1&limit=100' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/customers/{customerId}/credit-flows?page=1&limit=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/customers/{customerId}/credit-flows?page=1&limit=100")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/customers/{customerId}/credit-flows?page=1&limit=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully retrieved credit flows
{
"status": "",
"data": [
{
"id": "",
"name": "",
"accountPoolId": "",
"assetNumber": "",
"balance": 0,
"transactionAmount": 0,
"transactionDate": "",
"transactionType": "",
"transactionSource": "",
"transactionSourceId": "",
"recordType": "",
"creditId": "",
"creditNumber": "",
"creditStartDate": "",
"creditEndDate": "",
"creditTypeId": "",
"currencyIsoCode": "",
"customerId": "",
"salesAccountId": "",
"product": {},
"usage": {},
"createdDate": "",
"lastModifiedDate": ""
}
],
"warnings": [
{
"code": "",
"message": ""
}
],
"pagination": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0,
"hasNext": false,
"hasPrevious": false
}
}401
// Unauthorized - Authentication information is missing or invalid
{
"status": "",
"error": "",
"errorCode": "",
"errorType": "",
"message": ""
}404
// Not Found - Customer was not found
{
"status": 0,
"error": "",
"message": ""
}